NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::InsertAuxiliaryBuilder Class Reference

PDW insert auxiliary builder to design various auxiliaries of insert group
To create a new instance of this class, use NXOpen::Tooling::InsertAuxiliaryCollection::CreateInsertAuxiliaryBuilder
Default values. More...

Inheritance diagram for NXOpen::Tooling::InsertAuxiliaryBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CircOperationTypes { CircOperationTypesCreate, CircOperationTypesEdit, CircOperationTypesDelete }
 Specifies the options of circular array. More...
 
enum  DesignToolOption { DesignToolOptionCopy, DesignToolOptionArray, DesignToolOptionDelete }
 Specifies the design tool option. More...
 
enum  RampStepsType { RampStepsTypeAddMaterial, RampStepsTypeCreateCurvesAndDivideFace, RampStepsTypeCreateRamp, RampStepsTypeDeleteRamp }
 Specifies the ramp steps. More...
 
enum  RectOperationOption { RectOperationOptionCreate, RectOperationOptionEdit, RectOperationOptionDelete }
 Specifies the rectangular array option. More...
 
enum  ShankShapeTypes { ShankShapeTypesFlange, ShankShapeTypesRamp, ShankShapeTypesHeel }
 Specifies the shank shape. More...
 
enum  Types {
  TypesInsertFlange, TypesInsertRamp, TypesInsertHeel, TypesPunchMount,
  TypesTools
}
 Specifies the insert auxiliary type. More...
 
enum  UseFaceOrSketchToRevolve { UseFaceOrSketchToRevolveFace, UseFaceOrSketchToRevolveSketch }
 Specifies the use face or sketch to revolve. More...
 

Public Member Functions

double BottomPlateClearance ()
 Returns the bottom plate clearance. More...
 
bool CircDeleteAllComponents ()
 Returns the option to delete all components in circular array. More...
 
NXOpen::SelectBodyCircularInsert ()
 Returns the insert to do circular array. More...
 
NXOpen::Tooling::InsertAuxiliaryBuilder::CircOperationTypes CircularOperation ()
 Returns the circular array operation. More...
 
NXOpen::DirectionCircularVector ()
 Returns the specified vector for defining circular array axis. More...
 
double ClearanceValue ()
 Returns the clearance value. More...
 
NXOpen::PointControlPoint ()
 Returns the control point for the copy operation. More...
 
NXOpen::SelectBodyListCopySelectInsert ()
 Returns the insert to be copied. More...
 
NXOpen::SectionCreateCurvesToDivideFace ()
 Returns the curves created to divid the face
Created in NX11.0.0. More...
 
void DesignMountHead ()
 Design mount head for insert. More...
 
NXOpen::Tooling::InsertAuxiliaryBuilder::DesignToolOption DesignTool ()
 Returns the design tool. More...
 
NXOpen::PointDestinationPoint ()
 Returns the destination point for the copy operation. More...
 
NXOpen::ScCollectorFaceForRamp ()
 Returns the sweep face for editing ramp. More...
 
NXOpen::ExpressionFalseBodyHeight ()
 Returns the false body height. More...
 
double HeelHeight ()
 Returns the heel height. More...
 
double HeelLength ()
 Returns the heel length. More...
 
double HeelRadian ()
 Returns the heel radius. More...
 
double HeelWidth ()
 Returns the heel width. More...
 
NXOpen::SelectEdgeInsertEdge ()
 Returns the insert edge. More...
 
NXOpen::ScCollectorInsertShankFace ()
 Returns the insert shank face. More...
 
NXOpen::SelectBodyListInsertsToDelete ()
 Returns the insert objects to be deleted. More...
 
NXOpen::SelectEdgeMountPunchEdge ()
 Returns the punch edge to place the mount. More...
 
NXOpen::ScCollectorMountPunchFace ()
 Returns the punch face to place the mount. More...
 
double OffsetAngle ()
 Returns the offset angle of circular array. More...
 
double OffsetX ()
 Returns the offset value along X. More...
 
double OffsetY ()
 Returns the offset value along Y. More...
 
NXOpen::PointPointForRamp ()
 Returns the tangent point for the sweep guide curve
Created in NX7.5.0. More...
 
NXOpen::SelectBodyPunch ()
 Returns the selected punch. More...
 
NXOpen::SelectEdgePunchEdge ()
 Returns the punch edge. More...
 
double PunchPlateClearance ()
 Returns the punch plate clearance. More...
 
NXOpen::ScCollectorPunchShankFace ()
 Returns the punch shank. More...
 
double PunchShankParaC ()
 Returns the punch shank parameter for clearance between true body and false body. More...
 
double PunchShankParaFL ()
 Returns the punch shank parameter false body height. More...
 
double PunchShankParaL1 ()
 Returns the punch shank parameter for true body and false body length. More...
 
double PunchShankParaLength ()
 Returns the punch shank parameter length. More...
 
double PunchShankParaPL ()
 Returns the punch shank parameter for true body height. More...
 
double PunchShankParaR ()
 Returns the punch shank parameter for true body radius. More...
 
double PunchShankParaWidth ()
 Returns the punch shank parameter width. More...
 
NXOpen::ExpressionRadiusForRamp ()
 Returns the the sweep guide curve radius. More...
 
NXOpen::ExpressionRampShankHeight ()
 Returns the ramp shank height. More...
 
NXOpen::Tooling::InsertAuxiliaryBuilder::RampStepsType RampSteps ()
 Returns the ramp steps
Created in NX11.0.0. More...
 
NXOpen::SelectBodyRectangularInsert ()
 Returns the insert to do rectangular array . More...
 
NXOpen::Tooling::InsertAuxiliaryBuilder::RectOperationOption RectangularOperation ()
 Returns the rectangular array operation. More...
 
NXOpen::DirectionRectangularXVector ()
 Returns the X vector for rectangular array. More...
 
NXOpen::DirectionRectangularYVector ()
 Returns the Y vector for rectangular array. More...
 
bool RectDeleteAllComponents ()
 Returns the option to delete all components in rectangular array. More...
 
NXOpen::SelectFaceSelectFaceToDivide ()
 Returns the select face to divide
Created in NX11.0.0. More...
 
NXOpen::SelectBodySelectInsertToDeleteRamp ()
 Returns the select insert to delete ramp
Created in NX11.0.0. More...
 
NXOpen::SelectNXObjectListSelectRampFeature ()
 Returns the select ramp feature
Created in NX11.0.0. More...
 
NXOpen::SectionSelectShankProfile ()
 Returns the selected shank profile. More...
 
void SetBottomPlateClearance (double bottomPlateClr)
 Sets the bottom plate clearance. More...
 
void SetCircDeleteAllComponents (bool circDeleteAllComponents)
 Sets the option to delete all components in circular array. More...
 
void SetCircularOperation (NXOpen::Tooling::InsertAuxiliaryBuilder::CircOperationTypes circOperationType)
 Sets the circular array operation. More...
 
void SetCircularVector (NXOpen::Direction *circSpecifyVector)
 Sets the specified vector for defining circular array axis. More...
 
void SetClearanceValue (double clearanceValue)
 Sets the clearance value. More...
 
void SetControlPoint (NXOpen::Point *specifyControlPoint)
 Sets the control point for the copy operation. More...
 
void SetDesignTool (NXOpen::Tooling::InsertAuxiliaryBuilder::DesignToolOption designTool)
 Sets the design tool. More...
 
void SetDestinationPoint (NXOpen::Point *specifyDestinationPoint)
 Sets the destination point for the copy operation. More...
 
void SetHeelHeight (double heelHeight)
 Sets the heel height. More...
 
void SetHeelLength (double heelLength)
 Sets the heel length. More...
 
void SetHeelRadian (double heelRadian)
 Sets the heel radius. More...
 
void SetHeelWidth (double heelWidth)
 Sets the heel width. More...
 
void SetOffsetAngle (double offsetAngle)
 Sets the offset angle of circular array. More...
 
void SetOffsetX (double offsetX)
 Sets the offset value along X. More...
 
void SetOffsetY (double offsetY)
 Sets the offset value along Y. More...
 
void SetPointForRamp (NXOpen::Point *pointForRamp)
 Sets the tangent point for the sweep guide curve
Created in NX7.5.0. More...
 
void SetPunchPlateClearance (double punchPlateClr)
 Sets the punch plate clearance. More...
 
void SetPunchShankParaC (double punchShankParaC)
 Sets the punch shank parameter for clearance between true body and false body. More...
 
void SetPunchShankParaFL (double punchShankParaFL)
 Sets the punch shank parameter false body height. More...
 
void SetPunchShankParaL1 (double punchShankParaL1)
 Sets the punch shank parameter for true body and false body length. More...
 
void SetPunchShankParaLength (double punchShankParaL)
 Sets the punch shank parameter length. More...
 
void SetPunchShankParaPL (double punchShankParaPL)
 Sets the punch shank parameter for true body height. More...
 
void SetPunchShankParaR (double punchShankParaR)
 Sets the punch shank parameter for true body radius. More...
 
void SetPunchShankParaWidth (double punchShankParaW)
 Sets the punch shank parameter width. More...
 
void SetRampSteps (NXOpen::Tooling::InsertAuxiliaryBuilder::RampStepsType rampSteps)
 Sets the ramp steps
Created in NX11.0.0. More...
 
void SetRectangularOperation (NXOpen::Tooling::InsertAuxiliaryBuilder::RectOperationOption rectOperationType)
 Sets the rectangular array operation. More...
 
void SetRectangularXVector (NXOpen::Direction *rectSpecifyVectorX)
 Sets the X vector for rectangular array. More...
 
void SetRectangularYVector (NXOpen::Direction *rectSpecifyVectorY)
 Sets the Y vector for rectangular array. More...
 
void SetRectDeleteAllComponents (bool rectDeleteAllComponents)
 Sets the option to delete all components in rectangular array. More...
 
void SetShankShape (NXOpen::Tooling::InsertAuxiliaryBuilder::ShankShapeTypes shankShape)
 Sets the shank shape. More...
 
void SetStripperPlateClearance (double stripperPlateClr)
 Sets the stripper plate clearance. More...
 
void SetTotalAlongX (int totalNumberX)
 Sets the total number of insert along X. More...
 
void SetTotalAlongY (int totalNumberY)
 Sets the total number of insert along Y. More...
 
void SetTotalNumber (int totalNumber)
 Sets the total number of insert for circular array. More...
 
void SetType (NXOpen::Tooling::InsertAuxiliaryBuilder::Types type)
 Sets the insert auxiliary type. More...
 
void SetUseBottomPlateClearance (bool useBPClearance)
 Sets the option to use bottoming plate clearance. More...
 
void SetUseClearance (bool useClearance)
 Sets the option to use clearance. More...
 
void SetUseFaceOrSketch (NXOpen::Tooling::InsertAuxiliaryBuilder::UseFaceOrSketchToRevolve useFaceOrSketch)
 Sets the use face or sketch option
Created in NX11.0.1. More...
 
void SetUsePunchPlateClearance (bool usePPClearance)
 Sets the option to use punch plate clearance. More...
 
void SetUseStripperPlateClearance (bool useSPClearance)
 Sets the option to stripper plate clearance. More...
 
void SetVectorForRamp (NXOpen::Direction *vectorForRamp)
 Sets the vector to determintate the datum plane normal that the sweep guide curve in. More...
 
NXOpen::Tooling::InsertAuxiliaryBuilder::ShankShapeTypes ShankShape ()
 Returns the shank shape. More...
 
NXOpen::ScCollectorShanksToDelete ()
 Returns the faces of those to be deleted shanks. More...
 
NXOpen::SectionSketchToRevolve ()
 Returns the sketch to revolve
Created in NX11.0.1. More...
 
double StripperPlateClearance ()
 Returns the stripper plate clearance. More...
 
int TotalAlongX ()
 Returns the total number of insert along X. More...
 
int TotalAlongY ()
 Returns the total number of insert along Y. More...
 
int TotalNumber ()
 Returns the total number of insert for circular array. More...
 
NXOpen::Tooling::InsertAuxiliaryBuilder::Types Type ()
 Returns the insert auxiliary type. More...
 
bool UseBottomPlateClearance ()
 Returns the option to use bottoming plate clearance. More...
 
bool UseClearance ()
 Returns the option to use clearance. More...
 
NXOpen::Tooling::InsertAuxiliaryBuilder::UseFaceOrSketchToRevolve UseFaceOrSketch ()
 Returns the use face or sketch option
Created in NX11.0.1. More...
 
bool UsePunchPlateClearance ()
 Returns the option to use punch plate clearance. More...
 
bool UseStripperPlateClearance ()
 Returns the option to stripper plate clearance. More...
 
NXOpen::DirectionVectorForRamp ()
 Returns the vector to determintate the datum plane normal that the sweep guide curve in. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

PDW insert auxiliary builder to design various auxiliaries of insert group
To create a new instance of this class, use NXOpen::Tooling::InsertAuxiliaryCollection::CreateInsertAuxiliaryBuilder
Default values.

Property Value

BottomPlateClearance

0

CircDeleteAllComponents

0

CircularOperation

Create

ClearanceValue

1

DesignTool

Copy

FalseBodyHeight.Value

0 (millimeters part), 0 (inches part)

HeelHeight

5

HeelLength

10

HeelRadian

1

HeelWidth

5

OffsetAngle

0

OffsetX

0

OffsetY

0

PunchPlateClearance

0

PunchShankParaC

1

PunchShankParaFL

45

PunchShankParaL1

6

PunchShankParaLength

8

PunchShankParaPL

40

PunchShankParaR

13

PunchShankParaWidth

8

RampShankHeight.Value

0 (millimeters part), 0 (inches part)

RampSteps

AddMaterial

RectDeleteAllComponents

0

RectangularOperation

Create

ShankShape

Flange

StripperPlateClearance

0

TotalAlongX

1

TotalAlongY

1

TotalNumber

1

UseBottomPlateClearance

0

UseClearance

1

UseFaceOrSketch

Face

UsePunchPlateClearance

0

UseStripperPlateClearance

0


Created in NX7.5.0.

Member Enumeration Documentation

Specifies the options of circular array.

Enumerator
CircOperationTypesCreate 

create

CircOperationTypesEdit 

edit

CircOperationTypesDelete 

delete

Specifies the design tool option.

Enumerator
DesignToolOptionCopy 

copy

DesignToolOptionArray 

array

DesignToolOptionDelete 

delete

Specifies the ramp steps.

Enumerator
RampStepsTypeAddMaterial 

add material

RampStepsTypeCreateCurvesAndDivideFace 

create curves and divide face

RampStepsTypeCreateRamp 

create ramp

RampStepsTypeDeleteRamp 

delete ramp

Specifies the rectangular array option.

Enumerator
RectOperationOptionCreate 

create

RectOperationOptionEdit 

edit

RectOperationOptionDelete 

delete

Specifies the shank shape.

Enumerator
ShankShapeTypesFlange 

flange

ShankShapeTypesRamp 

ramp

ShankShapeTypesHeel 

heel

Specifies the insert auxiliary type.

Enumerator
TypesInsertFlange 

insert flange

TypesInsertRamp 

insert ramp

TypesInsertHeel 

insert heel

TypesPunchMount 

punch mount

TypesTools 

tools

Specifies the use face or sketch to revolve.

Enumerator
UseFaceOrSketchToRevolveFace 

face

UseFaceOrSketchToRevolveSketch 

sketch

Member Function Documentation

double NXOpen::Tooling::InsertAuxiliaryBuilder::BottomPlateClearance ( )

Returns the bottom plate clearance.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Tooling::InsertAuxiliaryBuilder::CircDeleteAllComponents ( )

Returns the option to delete all components in circular array.


Created in NX7.5.0.

License requirements : None

NXOpen::SelectBody* NXOpen::Tooling::InsertAuxiliaryBuilder::CircularInsert ( )

Returns the insert to do circular array.


Created in NX7.5.0.

License requirements : None

NXOpen::Tooling::InsertAuxiliaryBuilder::CircOperationTypes NXOpen::Tooling::InsertAuxiliaryBuilder::CircularOperation ( )

Returns the circular array operation.


Created in NX7.5.0.

License requirements : None

NXOpen::Direction* NXOpen::Tooling::InsertAuxiliaryBuilder::CircularVector ( )

Returns the specified vector for defining circular array axis.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::ClearanceValue ( )

Returns the clearance value.


Created in NX7.5.0.

License requirements : None

NXOpen::Point* NXOpen::Tooling::InsertAuxiliaryBuilder::ControlPoint ( )

Returns the control point for the copy operation.


Created in NX7.5.0.

License requirements : None

NXOpen::SelectBodyList* NXOpen::Tooling::InsertAuxiliaryBuilder::CopySelectInsert ( )

Returns the insert to be copied.


Created in NX7.5.0.

License requirements : None

NXOpen::Section* NXOpen::Tooling::InsertAuxiliaryBuilder::CreateCurvesToDivideFace ( )

Returns the curves created to divid the face
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::InsertAuxiliaryBuilder::DesignMountHead ( )

Design mount head for insert.


Created in NX7.5.0.

License requirements : None

NXOpen::Tooling::InsertAuxiliaryBuilder::DesignToolOption NXOpen::Tooling::InsertAuxiliaryBuilder::DesignTool ( )

Returns the design tool.


Created in NX7.5.0.

License requirements : None

NXOpen::Point* NXOpen::Tooling::InsertAuxiliaryBuilder::DestinationPoint ( )

Returns the destination point for the copy operation.


Created in NX7.5.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Tooling::InsertAuxiliaryBuilder::FaceForRamp ( )

Returns the sweep face for editing ramp.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::InsertAuxiliaryBuilder::FalseBodyHeight ( )

Returns the false body height.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::HeelHeight ( )

Returns the heel height.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::HeelLength ( )

Returns the heel length.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::HeelRadian ( )

Returns the heel radius.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::HeelWidth ( )

Returns the heel width.


Created in NX7.5.0.

License requirements : None

NXOpen::SelectEdge* NXOpen::Tooling::InsertAuxiliaryBuilder::InsertEdge ( )

Returns the insert edge.


Created in NX7.5.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Tooling::InsertAuxiliaryBuilder::InsertShankFace ( )

Returns the insert shank face.


Created in NX7.5.0.

License requirements : None

NXOpen::SelectBodyList* NXOpen::Tooling::InsertAuxiliaryBuilder::InsertsToDelete ( )

Returns the insert objects to be deleted.


Created in NX7.5.0.

License requirements : None

NXOpen::SelectEdge* NXOpen::Tooling::InsertAuxiliaryBuilder::MountPunchEdge ( )

Returns the punch edge to place the mount.


Created in NX7.5.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Tooling::InsertAuxiliaryBuilder::MountPunchFace ( )

Returns the punch face to place the mount.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::OffsetAngle ( )

Returns the offset angle of circular array.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::OffsetX ( )

Returns the offset value along X.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::OffsetY ( )

Returns the offset value along Y.


Created in NX7.5.0.

License requirements : None

NXOpen::Point* NXOpen::Tooling::InsertAuxiliaryBuilder::PointForRamp ( )

Returns the tangent point for the sweep guide curve
Created in NX7.5.0.



License requirements : None

NXOpen::SelectBody* NXOpen::Tooling::InsertAuxiliaryBuilder::Punch ( )

Returns the selected punch.


Created in NX7.5.0.

License requirements : None

NXOpen::SelectEdge* NXOpen::Tooling::InsertAuxiliaryBuilder::PunchEdge ( )

Returns the punch edge.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchPlateClearance ( )

Returns the punch plate clearance.


Created in NX7.5.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankFace ( )

Returns the punch shank.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankParaC ( )

Returns the punch shank parameter for clearance between true body and false body.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankParaFL ( )

Returns the punch shank parameter false body height.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankParaL1 ( )

Returns the punch shank parameter for true body and false body length.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankParaLength ( )

Returns the punch shank parameter length.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankParaPL ( )

Returns the punch shank parameter for true body height.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankParaR ( )

Returns the punch shank parameter for true body radius.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::PunchShankParaWidth ( )

Returns the punch shank parameter width.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::InsertAuxiliaryBuilder::RadiusForRamp ( )

Returns the the sweep guide curve radius.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::InsertAuxiliaryBuilder::RampShankHeight ( )

Returns the ramp shank height.


Created in NX7.5.0.

License requirements : None

NXOpen::Tooling::InsertAuxiliaryBuilder::RampStepsType NXOpen::Tooling::InsertAuxiliaryBuilder::RampSteps ( )

Returns the ramp steps
Created in NX11.0.0.



License requirements : None

NXOpen::SelectBody* NXOpen::Tooling::InsertAuxiliaryBuilder::RectangularInsert ( )

Returns the insert to do rectangular array .


Created in NX7.5.0.

License requirements : None

NXOpen::Tooling::InsertAuxiliaryBuilder::RectOperationOption NXOpen::Tooling::InsertAuxiliaryBuilder::RectangularOperation ( )

Returns the rectangular array operation.


Created in NX7.5.0.

License requirements : None

NXOpen::Direction* NXOpen::Tooling::InsertAuxiliaryBuilder::RectangularXVector ( )

Returns the X vector for rectangular array.


Created in NX7.5.0.

License requirements : None

NXOpen::Direction* NXOpen::Tooling::InsertAuxiliaryBuilder::RectangularYVector ( )

Returns the Y vector for rectangular array.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Tooling::InsertAuxiliaryBuilder::RectDeleteAllComponents ( )

Returns the option to delete all components in rectangular array.


Created in NX7.5.0.

License requirements : None

NXOpen::SelectFace* NXOpen::Tooling::InsertAuxiliaryBuilder::SelectFaceToDivide ( )

Returns the select face to divide
Created in NX11.0.0.



License requirements : None

NXOpen::SelectBody* NXOpen::Tooling::InsertAuxiliaryBuilder::SelectInsertToDeleteRamp ( )

Returns the select insert to delete ramp
Created in NX11.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Tooling::InsertAuxiliaryBuilder::SelectRampFeature ( )

Returns the select ramp feature
Created in NX11.0.0.



License requirements : None

NXOpen::Section* NXOpen::Tooling::InsertAuxiliaryBuilder::SelectShankProfile ( )

Returns the selected shank profile.


Created in NX7.5.0.

License requirements : None

void NXOpen::Tooling::InsertAuxiliaryBuilder::SetBottomPlateClearance ( double  bottomPlateClr)

Sets the bottom plate clearance.


Created in NX7.5.0.

License requirements : None

Parameters
bottomPlateClrbottomplateclr
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetCircDeleteAllComponents ( bool  circDeleteAllComponents)

Sets the option to delete all components in circular array.


Created in NX7.5.0.

License requirements : None

Parameters
circDeleteAllComponentscircdeleteallcomponents
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetCircularOperation ( NXOpen::Tooling::InsertAuxiliaryBuilder::CircOperationTypes  circOperationType)

Sets the circular array operation.


Created in NX7.5.0.

License requirements : None

Parameters
circOperationTypecircoperationtype
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetCircularVector ( NXOpen::Direction circSpecifyVector)

Sets the specified vector for defining circular array axis.


Created in NX7.5.0.

License requirements : None

Parameters
circSpecifyVectorcircspecifyvector
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetClearanceValue ( double  clearanceValue)

Sets the clearance value.


Created in NX7.5.0.

License requirements : None

Parameters
clearanceValueclearancevalue
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetControlPoint ( NXOpen::Point specifyControlPoint)

Sets the control point for the copy operation.


Created in NX7.5.0.

License requirements : None

Parameters
specifyControlPointspecifycontrolpoint
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetDesignTool ( NXOpen::Tooling::InsertAuxiliaryBuilder::DesignToolOption  designTool)

Sets the design tool.


Created in NX7.5.0.

License requirements : None

Parameters
designTooldesigntool
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetDestinationPoint ( NXOpen::Point specifyDestinationPoint)

Sets the destination point for the copy operation.


Created in NX7.5.0.

License requirements : None

Parameters
specifyDestinationPointspecifydestinationpoint
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetHeelHeight ( double  heelHeight)

Sets the heel height.


Created in NX7.5.0.

License requirements : None

Parameters
heelHeightheelheight
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetHeelLength ( double  heelLength)

Sets the heel length.


Created in NX7.5.0.

License requirements : None

Parameters
heelLengthheellength
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetHeelRadian ( double  heelRadian)

Sets the heel radius.


Created in NX7.5.0.

License requirements : None

Parameters
heelRadianheelradian
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetHeelWidth ( double  heelWidth)

Sets the heel width.


Created in NX7.5.0.

License requirements : None

Parameters
heelWidthheelwidth
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetOffsetAngle ( double  offsetAngle)

Sets the offset angle of circular array.


Created in NX7.5.0.

License requirements : None

Parameters
offsetAngleoffsetangle
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetOffsetX ( double  offsetX)

Sets the offset value along X.


Created in NX7.5.0.

License requirements : None

Parameters
offsetXoffsetx
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetOffsetY ( double  offsetY)

Sets the offset value along Y.


Created in NX7.5.0.

License requirements : None

Parameters
offsetYoffsety
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPointForRamp ( NXOpen::Point pointForRamp)

Sets the tangent point for the sweep guide curve
Created in NX7.5.0.



License requirements : None

Parameters
pointForRamppointforramp
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchPlateClearance ( double  punchPlateClr)

Sets the punch plate clearance.


Created in NX7.5.0.

License requirements : None

Parameters
punchPlateClrpunchplateclr
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchShankParaC ( double  punchShankParaC)

Sets the punch shank parameter for clearance between true body and false body.


Created in NX7.5.0.

License requirements : None

Parameters
punchShankParaCpunchshankparac
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchShankParaFL ( double  punchShankParaFL)

Sets the punch shank parameter false body height.


Created in NX7.5.0.

License requirements : None

Parameters
punchShankParaFLpunchshankparafl
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchShankParaL1 ( double  punchShankParaL1)

Sets the punch shank parameter for true body and false body length.


Created in NX7.5.0.

License requirements : None

Parameters
punchShankParaL1punchshankparal1
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchShankParaLength ( double  punchShankParaL)

Sets the punch shank parameter length.


Created in NX7.5.0.

License requirements : None

Parameters
punchShankParaLpunchshankparal
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchShankParaPL ( double  punchShankParaPL)

Sets the punch shank parameter for true body height.


Created in NX7.5.0.

License requirements : None

Parameters
punchShankParaPLpunchshankparapl
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchShankParaR ( double  punchShankParaR)

Sets the punch shank parameter for true body radius.


Created in NX7.5.0.

License requirements : None

Parameters
punchShankParaRpunchshankparar
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetPunchShankParaWidth ( double  punchShankParaW)

Sets the punch shank parameter width.


Created in NX7.5.0.

License requirements : None

Parameters
punchShankParaWpunchshankparaw
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetRampSteps ( NXOpen::Tooling::InsertAuxiliaryBuilder::RampStepsType  rampSteps)

Sets the ramp steps
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
rampStepsrampsteps
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetRectangularOperation ( NXOpen::Tooling::InsertAuxiliaryBuilder::RectOperationOption  rectOperationType)

Sets the rectangular array operation.


Created in NX7.5.0.

License requirements : None

Parameters
rectOperationTyperectoperationtype
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetRectangularXVector ( NXOpen::Direction rectSpecifyVectorX)

Sets the X vector for rectangular array.


Created in NX7.5.0.

License requirements : None

Parameters
rectSpecifyVectorXrectspecifyvectorx
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetRectangularYVector ( NXOpen::Direction rectSpecifyVectorY)

Sets the Y vector for rectangular array.


Created in NX7.5.0.

License requirements : None

Parameters
rectSpecifyVectorYrectspecifyvectory
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetRectDeleteAllComponents ( bool  rectDeleteAllComponents)

Sets the option to delete all components in rectangular array.


Created in NX7.5.0.

License requirements : None

Parameters
rectDeleteAllComponentsrectdeleteallcomponents
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetShankShape ( NXOpen::Tooling::InsertAuxiliaryBuilder::ShankShapeTypes  shankShape)

Sets the shank shape.


Created in NX7.5.0.

License requirements : None

Parameters
shankShapeshankshape
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetStripperPlateClearance ( double  stripperPlateClr)

Sets the stripper plate clearance.


Created in NX7.5.0.

License requirements : None

Parameters
stripperPlateClrstripperplateclr
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetTotalAlongX ( int  totalNumberX)

Sets the total number of insert along X.


Created in NX7.5.0.

License requirements : None

Parameters
totalNumberXtotalnumberx
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetTotalAlongY ( int  totalNumberY)

Sets the total number of insert along Y.


Created in NX7.5.0.

License requirements : None

Parameters
totalNumberYtotalnumbery
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetTotalNumber ( int  totalNumber)

Sets the total number of insert for circular array.


Created in NX7.5.0.

License requirements : None

Parameters
totalNumbertotalnumber
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetType ( NXOpen::Tooling::InsertAuxiliaryBuilder::Types  type)

Sets the insert auxiliary type.


Created in NX7.5.0.

License requirements : None

Parameters
typetype
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetUseBottomPlateClearance ( bool  useBPClearance)

Sets the option to use bottoming plate clearance.


Created in NX7.5.0.

License requirements : None

Parameters
useBPClearanceusebpclearance
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetUseClearance ( bool  useClearance)

Sets the option to use clearance.


Created in NX7.5.0.

License requirements : None

Parameters
useClearanceuseclearance
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetUseFaceOrSketch ( NXOpen::Tooling::InsertAuxiliaryBuilder::UseFaceOrSketchToRevolve  useFaceOrSketch)

Sets the use face or sketch option
Created in NX11.0.1.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
useFaceOrSketchusefaceorsketch
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetUsePunchPlateClearance ( bool  usePPClearance)

Sets the option to use punch plate clearance.


Created in NX7.5.0.

License requirements : None

Parameters
usePPClearanceuseppclearance
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetUseStripperPlateClearance ( bool  useSPClearance)

Sets the option to stripper plate clearance.


Created in NX7.5.0.

License requirements : None

Parameters
useSPClearanceusespclearance
void NXOpen::Tooling::InsertAuxiliaryBuilder::SetVectorForRamp ( NXOpen::Direction vectorForRamp)

Sets the vector to determintate the datum plane normal that the sweep guide curve in.


Created in NX7.5.0.

License requirements : None

Parameters
vectorForRampvectorforramp
NXOpen::Tooling::InsertAuxiliaryBuilder::ShankShapeTypes NXOpen::Tooling::InsertAuxiliaryBuilder::ShankShape ( )

Returns the shank shape.


Created in NX7.5.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Tooling::InsertAuxiliaryBuilder::ShanksToDelete ( )

Returns the faces of those to be deleted shanks.


Created in NX7.5.0.

License requirements : None

NXOpen::Section* NXOpen::Tooling::InsertAuxiliaryBuilder::SketchToRevolve ( )

Returns the sketch to revolve
Created in NX11.0.1.



License requirements : None

double NXOpen::Tooling::InsertAuxiliaryBuilder::StripperPlateClearance ( )

Returns the stripper plate clearance.


Created in NX7.5.0.

License requirements : None

int NXOpen::Tooling::InsertAuxiliaryBuilder::TotalAlongX ( )

Returns the total number of insert along X.


Created in NX7.5.0.

License requirements : None

int NXOpen::Tooling::InsertAuxiliaryBuilder::TotalAlongY ( )

Returns the total number of insert along Y.


Created in NX7.5.0.

License requirements : None

int NXOpen::Tooling::InsertAuxiliaryBuilder::TotalNumber ( )

Returns the total number of insert for circular array.


Created in NX7.5.0.

License requirements : None

NXOpen::Tooling::InsertAuxiliaryBuilder::Types NXOpen::Tooling::InsertAuxiliaryBuilder::Type ( )

Returns the insert auxiliary type.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Tooling::InsertAuxiliaryBuilder::UseBottomPlateClearance ( )

Returns the option to use bottoming plate clearance.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Tooling::InsertAuxiliaryBuilder::UseClearance ( )

Returns the option to use clearance.


Created in NX7.5.0.

License requirements : None

NXOpen::Tooling::InsertAuxiliaryBuilder::UseFaceOrSketchToRevolve NXOpen::Tooling::InsertAuxiliaryBuilder::UseFaceOrSketch ( )

Returns the use face or sketch option
Created in NX11.0.1.



License requirements : None

bool NXOpen::Tooling::InsertAuxiliaryBuilder::UsePunchPlateClearance ( )

Returns the option to use punch plate clearance.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Tooling::InsertAuxiliaryBuilder::UseStripperPlateClearance ( )

Returns the option to stripper plate clearance.


Created in NX7.5.0.

License requirements : None

NXOpen::Direction* NXOpen::Tooling::InsertAuxiliaryBuilder::VectorForRamp ( )

Returns the vector to determintate the datum plane normal that the sweep guide curve in.


Created in NX7.5.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.